package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * slm-bi
 * 实时变量DTO
 * @author : lin
 * @date : 2021-03-30 15:05
 **/
@ApiModel("变量DTO")
@Data
public class VariableRealTimeDTO {
//    @ApiModelProperty(value = "所属设备", required = true)
//    private String deviceId;
//    @ApiModelProperty(value = "变量id", required = true)
//    private String variableId;
//    @ApiModelProperty(value = "变量Code", required = true)
//    private String variableCode;
    @ApiModelProperty(value = "开始时间(时间戳)",required = true)
    private String startTime;
    @ApiModelProperty(value = "结束时间(时间戳)", required = true)
    private String endTime;
    @ApiModelProperty(value = "(如果x轴为变量直接填yyyy-MM-dd HH:mm:ss）请填时间格式如(yyyy-MM-dd HH:mm:ss)", required = true)
    private String format;

    @ApiModelProperty(value = "变量信息", required = true)
    private List<VariableSearchDTO> variableSearchList;
    @ApiModelProperty(value = "统计维度，如果是时间填time,如果是变量填variableCode", required = true)
    private String x;
}
