package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * slm-bi
 * 历史曲线DTO
 * @author : lin
 * @date : 2021-03-30 15:05
 **/
@ApiModel("变量DTO")
@Data
public class VariableHistoryCurveDataDTO {
    @ApiModelProperty(value = "所属设备", required = true)
    private String deviceId;
    @ApiModelProperty(value = "变量id", required = true)
    private String variableId;
    @ApiModelProperty(value = "变量Code", required = true)
    private String variableCode;
    @ApiModelProperty(value = "开始时间(时间戳)",required = true)
    private String startTime;
    @ApiModelProperty(value = "结束时间(时间戳)", required = true)
    private String endTime;
    @ApiModelProperty(value = "请填时间格式如(yyyy-MM-dd HH:mm:ss)", required = true)
    private String format;
}
