package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * slm-bi
 * 实时变量DTO
 * @author : lin
 * @date : 2021-03-30 15:05
 **/
@ApiModel("变量DTO")
@Data
public class VariableHistoryDataDTO {
//    @ApiModelProperty(value = "所属设备", required = true)
//    private String deviceId;
    @ApiModelProperty(value = "(x轴为变量时，统计类型必填)统计类型,代表(合计值(sum)，平均值(avg)，最大值(max)，最小值(min) 中位数(middle),原值 original)", required = true)
    private String statisticsType;
//    @ApiModelProperty(value = "变量id", required = true)
//    private String variableId;
//    @ApiModelProperty(value = "变量Code", required = true)
//    private String variableCode;
    @ApiModelProperty(value = "开始时间(时间戳)",required = true)
    private String startTime;
    @ApiModelProperty(value = "结束时间(时间戳)", required = true)
    private String endTime;

    @ApiModelProperty(value = "统计维度，如果是时间填time,如果是变量填variableCode", required = true)
    private String x;
    @ApiModelProperty(value = "统计维度如果是时间,请填时间格式如(yyyy-MM-dd HH:mm:ss)，非时间为空", required = true)
    private String format;

//    @ApiModelProperty(value = "key 为变量id value 为变量名称", required = true)
//    private Map<String,String> variables;
    @ApiModelProperty(value = "变量信息", required = true)
    private List<VariableSearchDTO> variableSearchList;
}
